import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { ModelFeedback } from '../../../shared/models/index';
import { RationaleType, AssetPosition } from '../../../shared/models/summary.enum';
export declare class RationaleComponent implements OnInit, OnChanges {
    rationaleText: string;
    richrationaleText: string;
    itemDetailsData: ModelFeedback;
    showRationale: boolean;
    rationaleAssets: any;
    rationaleAssetPosition: string;
    RationaleValuesEnum: typeof RationaleType;
    AssetPositionValuesEnum: typeof AssetPosition;
    rationaleData: ModelFeedback[];
    preferredTextFormat: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getRationaleDataDetails(): void;
}
